summaryrefslogtreecommitdiff
path: root/src/clean.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2009-10-14 18:29:33 -0700
committerRuss Cox <rsc@golang.org>2009-10-14 18:29:33 -0700
commitbd97ebb92d7f1eefab8d96067236d0eac9b64bb9 (patch)
tree1f8b518e08595ad65468eb095f9663e26568cf09 /src/clean.bash
parent3e77c5fc23a3e3909b9583cfe6c53ba122e3780e (diff)
downloadgo-bd97ebb92d7f1eefab8d96067236d0eac9b64bb9.tar.gz
fix build:
avoid infinite loop when cd fails. TBR=r OCL=35750 CL=35750
Diffstat (limited to 'src/clean.bash')
-rwxr-xr-xsrc/clean.bash4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/clean.bash b/src/clean.bash
index f5cd3b057..2bfc88f22 100755
--- a/src/clean.bash
+++ b/src/clean.bash
@@ -8,9 +8,9 @@ rm -f $GOROOT/lib/*.a
for i in lib9 libbio libcgo libmach libregexp cmd pkg \
../misc/cgo/gmp ../misc/cgo/stdio \
../usr/r/rpc ../usr/dsymonds/iterable \
- ../usr/austin/eval ../usr/austin/ogle ../test/bench
+ ../test/bench
do(
- cd $i
+ cd $i || exit 1
if test -f clean.bash; then
bash clean.bash
else